package com.icomsys.main_vm.biz.rcp.conversation.nlp.wisenut.service;

import com.icomsys.main_vm.biz.rcp.conversation.nlp.wisenut.vo.NlpWisenutResult;

import java.util.HashMap;

public interface NlpWisenutIntentService {

    NlpWisenutResult intentInsertApi(HashMap eMap);

    NlpWisenutResult intentUpdateApi(HashMap eMap);

    NlpWisenutResult intentDeleteApi(HashMap eMap);

    NlpWisenutResult intentSentenceInsertApi(HashMap eMap);

    NlpWisenutResult intentSentenceUpdateApi(HashMap eMap);

    NlpWisenutResult intentSentenceDeleteApi(HashMap eMap);

    NlpWisenutResult intentSentenceInsertAllApi(HashMap eMap);

}
